exit
#!/bin/bash

# Dette script er under udvikling til zutil på UbuntuDanmark.dk
# https://ubuntudanmark.dk/forum/viewtopic.php?p=141909#p141909
#
# Scriptet åbner adresser i Firefox, se -h for brug af argumenter.
# Ved indsættelse af et ekstra argument:
# Skab tom plads imellem to sekvenser med Enter.
# Find en passende sekvens, og kopier hele sekvensen ind på pladsen.
# Ret argument og kommando, og gem, og afprøv det nye argument i terminalen.
# Se evt. mere om scriptet her: Link kommer i senere udkast. 



# Hovedsekvens begynd
case $1 in


# Sekvens begynd
    'g')
        firefox http://www.google.dk/
        ;;
# Sekvens slut
# Sekvens begynd
    'have')
        firefox 'http://www.havenyt.dk/artikler/dyrkningsmetoder/skade_og_nyttedyr/' 'http://www.havenyt.dk/artikler/dyrkningsmetoder/formering/510.html'
        ;;
# Sekvens slut
# Sekvens begynd
    'krak')
        firefox http://www.krak.dk/
        ;;
# Sekvens slut
# Sekvens begynd
    'u')
        firefox http://ubuntudanmark.dk/forum/search.php?search_id=active_topics
        ;;
# Sekvens slut
# Sekvens begynd
    'uu')
        firefox 'https://ubuntudanmark.dk/' 'https://ubuntudanmark.dk/blog/artikler/category/guides/' 'https://ubuntudanmark.dk/support/' 'https://ubuntudanmark.dk/faellesskab/'
        ;;
# Sekvens slut
# Sekvens begynd
    'dr')
        firefox 'http://www.dr.dk/radio/' 'https://www.dr.dk/tv/programmer' 'http://www.dr.dk/nyheder'
        ;;
# Sekvens slut
# Sekvens begynd
    'tv')
        firefox https://www.dr.dk/tv/live/dr1
        ;;
# Sekvens slut
# Sekvens begynd
    'ttv')
        firefox 'http://www.dr.dk/nav/tekstttv/'
        ;;
# Sekvens slut
# Sekvens begynd
    'v')
        firefox 'http://www.dmi.dk/vejr/'
        ;;
# Sekvens slut
    'vejr')
        firefox http://www.dmi.dk/dmi/index/danmark/landsudsigten.htm http://www.dmi.dk/dmi/index/danmark/regionaludsigten/nordjylland.htm http://www.dmi.dk/vejr/til-lands/regionaludsigten/ssjylland/ http://www.dmi.dk/vejr/til-lands/regionaludsigten/kbhnsjaelland/ http://www.dmi.dk/vejr/til-lands/regionaludsigten/bornholm/
        ;;
# Sekvens slut
# Sekvens begynd
    'y')
        firefox http://www.youtube.com/
        ;;
# Sekvens slut
# Sekvens begynd
    'help'|'-h'|'-help'|'--help')
        echo "Anvendelse: - Åbner sider med Firefox."
        echo "Syntaks: [$0] [Argument]"
        echo ''
        echo 'Argumenter:'
        echo '  ukendt                  Googler argumentet'
        echo '  -h                      Viser denne hjælpe side'
        echo '   u                      Åbner Ubuntu forum'
        echo ''
        echo 'Flere argumenter:'
        echo ''
        echo '   g uu krak have'
        echo ''
        echo '   ttv'
        echo ''
        echo '   v  vejr'
        echo ''
        echo 'Eksempler:'
        echo '  "f u"                   Åbner Ubuntu forum'
        echo '  "f uu"                  Åbner flere Ubuntu sider'
        echo '  "f v"                   Åbner Vejrudsigt'
        echo '  "f g"                   Åbner Google'
        echo '  "f y"                   Åbner youtube'
        echo 'I zutil redigeres argumenter og hjælp med kommandoen "ged f"'
        ;;
# Sekvens slut
# Herunder kommandoen, som benyttes, når intet argument forinden er blevet genkendt.
    *)
        firefox https://www.google.dk/?gws_rd=ssl#q=$1+$2+$3+$4+$5+$6+$7+$8+$9
        ;;
# Herover kommandoen, som benyttes, når intet argument forinden er blevet genkendt.

esac
# Hovedsekvens slut.

