exit
#!/bin/bash

# zged.sh hører til ~/bin/zutil , men det anbefales at kopiere
# scriptet op i /bin mappen og omdøbe filen til "ged"
# Scriptet er under udvikling til zutil på UbuntuDanmark.dk:
# https://ubuntudanmark.dk/forum/viewtopic.php?p=141909#p141909



# Scriptet åbner filer i Gedit. Se -h for brug af argumenter.
# Ved indsættelse af et nyt argument i dette script:
# Skab tom plads imellem to sekvenser med Enter.
# Find en passende sekvens, og kopier hele sekvensen ind på pladsen.
# Ret argument og kommando, og gem, og afprøv det nye argument i terminalen.
# Se evt. mere om scriptet her: Link må komme i et senere udkast. 



# Hovedsekvens begynd
case $1 in


# Sekvens begynd
    'e')
        gedit -s ~/bin/$2
        ;;
# Sekvens slut
# Sekvens begynd
    'd'|'dokument')
        gedit -s ~/bin/zutil/zdokumenter/$2
        ;;
# Sekvens slut
# Sekvens begynd
    'k'|'kladde')
        gedit -s ~/bin/zutil/zkladdemappe/$2
        ;;
# Sekvens slut
# Sekvens begynd
    'bygnyt')
        gedit -s ~/bin/$2 ~/bin/zutil/zdokumenter/skabelon.txt
        echo 'Filen gøres til en kørbar fil ( Skalprogram ):'
#        chmod 755 --verbose ~/bin/$2
        echo 'Hvis filen blev gemt bør ovenstående vise, at chmod har ændret fil tilstanden'
        echo 'til 0755 og dermed gjort det netop gemte script kørbart.'
        echo 'Kørbart betyder her, at filnavnet er gjort til en terminalkommando.'
        ;;
# Sekvens slut
# Sekvens begynd
    'zhistory'|'his2')
        gedit -s ~/bin/zhistory
        ;;
# Sekvens slut
# Sekvens begynd
    'f')
        gedit -s ~/bin/f ~/bin/zutil/zkladdemappe/links.txt
        ;;
# Sekvens slut
# Sekvens begynd
    'links')
        gedit -s ~/bin/zutil/zkladdemappe/links.txt
        ;;
# Sekvens slut
# Sekvens begynd
    'cls')
        gedit -s ~/bin/cls
        ;;
# Sekvens slut
# Sekvens begynd
    'x')
        gedit -s ~/bin/x
        ;;
# Sekvens slut
# Sekvens begynd
    'g'|'ged')
        gedit -s ~/bin/ged
        ;;
# Sekvens slut
# Sekvens begynd
     'alias')
        gedit -s ~/bin/zutil/zdokumenter/alias.hlp ~/.bash_aliases ~/.bashrc ~/bin/zutil/zdokumenter/aliasbackup.txt
        ;;
# Sekvens slut
# Sekvens begynd
    'history')
        gedit -s ~/bin/zutil/zdokumenter/historyhelp.txt ~/.bashrc ~/.bash_history
        ;;
# Sekvens slut
# Sekvens begynd
    '-h'|'help'|'-help'|'--help')
        echo "Anvendelse: [$0] [Argument] [FILNAVN] - Åbner filer i Gedit."
        echo ''
        echo 'Argumenter:'
        echo '  intet                 Åbner en kladde'
        echo '  -h                    Viser denne hjælpe side'
        echo '  k FILNAVN             Opretter eller åbner kladde fra'
        echo '                        ~/bin/zutil/zkladdemappe'
        echo '  d FILNAVN             Opretter eller åbner dokumentet fra'
        echo '                        ~/bin/zutil/zdokumenter'
        echo "  e FILNAVN             Åbner FILNAVN fra ~/bin til redigering."
        echo '  bygnyt FILNAVN        Til oprettelse af nyt kørbart script i bin'
        echo '  links                 Åbner ~/bin/zutil/zkladdemappe/links.txt'
        echo '  g                     Åbner ~/bin/ged scriptet til redigering.'
        echo '  f                     Åbner ~/bin/f scriptet til redigering.'
        echo '  zhistory              Åbner ~/bin/zhistory scriptet til redigering.'
        echo '  history               Til konfiguration og editering af history log'
        echo '  alias                 Til konfiguration og editering af alias listen'
        echo ''
        echo 'Eksempler på anvendelse:'
        echo '"ged history"           Starter konfiguration og redigering af history log'
        echo '"ged k ubuntu"          Opretter eller åbner dokumentet "ubuntu" fra'
        echo '                        ~/bin/zutil/zkladdemappe'
        echo '"ged g"                 Åbner ~/bin/ged til redigering'
        ;;
# Sekvens slut
# Herunder kommandoen, som benyttes, når intet argument forinden er blevet genkendt.
    *)
        gedit -s ~/bin/zutil/zkladdemappe/kladde.txt
        ;;
# Herover kommandoen, som benyttes, når intet argument forinden er blevet genkendt.

esac
# Hovedsekvens slut.
