exit
#!/bin/bash
# Dette script ( zx.sh ) hører til mappen ~/bin/zutil/
# Men det anbefales for at få komforten fra filen, at kopiere den ind i ~/bin/
# og omdøbe den til det helt korte navn "x", så "x" kommandoen
# i terminalen i fremtiden vil fungere som exit.
# Scriptet kommer fra dette forum:
# https://ubuntudanmark.dk/forum/viewtopic.php?p=141897#p141897
# I øjeblikket er scriptet under videreudvikling under zutil samme sted.



# Hovedsekvens begynd.
    case $1 in
# Sekvens begynd
        'wipeout')
            kill -9 $PPID
            ;;
# Sekvens slut
# Sekvens begynd
        'help'|'-h'|'-help'|'--help')
            echo ''
            echo 'Anvendelse:      Til lukning af terminal ( næsten som "exit" )'
            echo "Syntaks: $0 [Argument]"
            echo ''
            echo 'Argumenter:'
            echo '  intet          Lukker terminalen'
            echo '  -h             Viser denne hjælpe side'
            echo '  wipeout        Lukker terminal og afbryder dens programmer'
            echo ''
            echo 'Eksempler:'
            echo '  "x"            Lukker terminalen'
            echo '                 (Udfører kommando: "kill -1 $PPID" )'
            echo ''
            echo '  "x wipeout"    Lukker terminalen og afbryder dens kørende programmer'
            echo '                 ( F.eks. afbrydelse af historik log'
            echo '                 ved at udføre kommandoen: "kill -9 $PPID" )'
            echo ''
            echo '  "x -h"         Viser denne hjælpe side'
            echo ''
            ;;
# Sekvens slut
# Herunder kommandoen, som benyttes, når intet argument forinden er blevet genkendt.
        'x'|*)
            kill -1 $PPID
            ;;
# Herover kommandoen, som benyttes, når intet argument forinden er blevet genkendt.
    esac
# Hovedsekvens slut.
