exit
#!/bin/bash -i
# Arbejder du i terminal og skrev "ged zhistory" , men mente "ged history"
# så forlad bare filen ( Alt + F4 ) og prøv det andet.
# Dette script ( "zhistory.sh" som du selv evt. har kopieret til bin mappen
# og omdøbt til "zhistory" ) er udviklet til zutil
# og blev første gang præsenteret her:
# https://ubuntudanmark.dk/forum/viewtopic.php?p=141908#p141908
# I øjeblikket er scriptet under videreudvikling under zutil samme sted.
# Funktionen er som terminalkommandoen "history", men udbygget.
# Scriptet må kopieres og tilrettes frit efter behov og ønske.



# Hovedsekvens begynd.
    case $1 in
# Sekvens begynd
        'one')
            grep "$2" ~/.bash_history | wc -l
            ;;
# Sekvens slut
# Sekvens begynd
        'vis')
            cat ~/.bash_history
            ;;
# Sekvens slut
# Sekvens begynd
        'hyplist')
            sort ~/.bash_history | uniq -c | sort -n
            ;;
# Sekvens slut
# Sekvens begynd
        'make')
            echo 'ged k ubuntu' >> ~/.bash_history
            # Ovenstående top linje tilføjer "ged k ubuntu" til history filen.
            # Ønsker du at tilføje flere kommandoer, kan du bygge flere linjer på.
            # Den nederste tilføjelse her, bliver den første i historikken.
            # Ændringer træder først i kraft, når ny terminal åbnes.
            echo 'Forvalgte kommandoer er nu tilføjet til historikken.'
            echo 'Du kan se dem, når du åbner en ny terminal og trykker pil op.'
            echo 'Forvalgte kommandoer kan ændres v.h.a. kommandoen "ged zhistory"'
            ;;
# Sekvens slut
# Sekvens begynd
        'clear')
            echo 'history log tømt af kommandoen "zhistory clear"' > ~/.bash_history
            date -u >> ~/.bash_history
            echo 'Kommandohistorik er nu tømt, og der er indsat en dato for det'
            echo 'Du kan se resultatet, når du åbner en ny terminal og trykker pil op.'
            ;;
# Sekvens slut
# Sekvens begynd
        'clearall')
            echo '' > ~/.bash_history
            echo 'Kommandohistorik er nu tømt'
            echo 'Du kan se resultatet, når du åbner en ny terminal og trykker pil op.'
            ;;
# Sekvens slut
# Sekvens begynd
        'help'|'-h'|'-help'|'--help')
            echo ''
            echo "Anvendelse: Til visning og rensning af terminalens kommandohistorik"
            echo '( se evt. også "ged history" for historikkonfiguration )'
            echo ''
            echo "Syntaks: $0 [Argument [ORD]]"
            echo ''
            echo 'Argumenter:'
            echo '  intet          Kører "history" kommando.'
            echo '  -h             Viser denne hjælpe side.'
            echo '  one ORD        Hvor hyppigt et bestemt ord er blevet anvendt.'
            echo '  vis            Vis hele kommandohistorien i terminalen.'
            echo '  hyplist        Hitliste over terminalkommandoers anvendelse.'
            echo '  clear          Sletter kommando historik og indsætter tid for sletning.'
            echo '  clearall       Sletter kommando historik.'
            echo '  make           Tilføjer forprogrammerede kommandoer til historikken.'
            echo '                 ( pil op i nyåbnet terminal viser sidst tilføjede )'
            echo 'Eksempler:'
            echo '  "zhistory one dir"'
            echo '                 Tæller hvor mange gange "dir" optræder i historik.'
            echo '  "zhistory hyplist"'
            echo '                 Viser hitliste over terminalkommandoers anvendelse.'
            echo '  "zhistory -h"'
            echo '                 Viser denne hjælpe side.'
            ;;
# Sekvens slut
# Herunder kommandoen, som benyttes, når intet argument forinden er blevet genkendt.
        'history'|*)
            history
            ;;
# Herover kommandoen, som benyttes, når intet argument forinden er blevet genkendt.
    esac
# Hovedsekvens slut.

